<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta charset="utf-8" />
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<title>MNC Now</title>
<meta name="title" content="Vision+ Movies">
<meta name="keywords" content="vision+, vision plus, okezone, layar tancap, mncnow, mnc now, sinetron, now, tonton film, ftv, film indonesia, free, ott, broadcast, mnc">
<meta name="description" content="Nonton ratusan film pilihan dari Indonesia, Hollywood dan Asia. Film lepas, series, sinetron, drakor dan animasi hanya di MNC Now">
<meta name="google-site-verification" content="MU1SEKOh4hqPEsvAbaq6jq517rVPPMu3oC3gVJGuu7U" />
<meta name="author" content="visionplus.id">
<meta name="viewport" content="initial-scale=1, maximum-scale=1">  
<link rel="shortcut icon" href="https://visionplus.id/statics/app-logo-128x128.png" type="image/x-icon">
<link rel="icon" href="img/favicon.png" type="image/x-icon">
<!-- no cache -->
<meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" />
<meta http-equiv="Pragma" content="no-cache" />
<meta http-equiv="Expires" content="0" />

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>

<style>
@font-face {
    font-family: 'Roboto';
    src: url('font/Roboto-Regular.ttf') format('truetype') ;
    font-weight: normal;
    font-style: normal;
}

body {
    background-color: #1d1d1d;
}

.main-container {
    width: 350px;
    height: 622px;
    margin: auto;
    /* width: 50%; */
}

.flex-container {
    width: 350px;
    display: flex;
    justify-content: center;
    background-color: #1d1d1d;
    color:ivory;
    font-family: Roboto;
    font-size: 12;
}

.white-container {
    display: flex;
    justify-content: center;
    background-color: #1d1d1d;
    height: 307;
    width: 117;
    object-fit: contain;
    border-radius: 5px;
    box-shadow: 1px 1px 3px 0 rgba(255, 255, 255, 0.16);
    background-image: linear-gradient(290deg, #bababe 103%, #ffffff -11%);
    font-family: Roboto;
}

.date-expired1 {
    /* object-fit: contain; */
    font-family: Roboto;
    font-size: 12px;
    font-weight: bold;
    text-align: left;
    color: #242424;
}

.date-expired2 {
    /* object-fit: contain; */
    font-family: Roboto;
    font-size: 20px;
    font-weight: 500;
    font-stretch: normal;
    font-weight: bold;
    /* line-height: 1.25;
    letter-spacing: 0.19px; */
    text-align: left;
    color: #242424;

}

.container {
    position: relative;
    width: 81.2px;
    max-width: 81.2px;
    margin-right: 2.5px;
    margin-left: 2.5px;
    opacity: 0.7;
}

.img-cover {
    /* width: 81.2px; */
    width: 100%;
    /* height: 100%; */
    height: 121.8px;
    /* border: 1px solid black; */
    border-radius: 5px;
}

.img-cover::before {
    /* background-image: linear-gradient(to bottom, transparent 20%, black 100%);
    box-shadow: 0px 10px 20px -5px rgba(0,0,0,.8);  */
    background: rgba(0,0,255,0.5);
}

.img-logo {
	margin-top: 9.2px;
	margin-bottom: 5px;
    width: 80px;
    height: 21px;
}

/* .img-store { */
	/* margin-top: 9.2px;
	margin-bottom: 5px; */
    /* width: 72px;
    height: 28px;
} */

.no-pembayaran {
    font-family: Roboto;
    font-size: 19px;
    font-weight: bold;
    text-align: right;
    color: #28b748;
}

.nominal {
    font-family: Roboto;
    font-size: 22px;
    font-weight: bold;
    text-align: left;
    color: ivory;
}

.fontregular16 {
    font-family: Roboto;
    object-fit: contain;
    font-size: 18px;
    font-weight: 300;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.17;
    letter-spacing: normal;
    color: ivory;
    text-align: left;
}

.fontregularlight {
    font-family: Roboto;
    object-fit: contain;
    font-size: 12px;
    font-weight: 300;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.17;
    letter-spacing: normal;
    color: ivory;
    text-align: left;
}

.fontregular1-right {
    font-family: Roboto;
    object-fit: contain;
    font-size: 12px;
    font-weight: 300;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.17;
    letter-spacing: normal;
    text-align: right;
    color: ivory;
}

.table1 {
  border: 1px solid #707070;
}

.hr1 {
    border: 1px solid #707070;
}

.txt-bg-grey {
    font-family: Roboto;
    object-fit: contain;
    font-size: 12px;
    font-weight: 300;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.17;
    letter-spacing: normal;
    color: ivory;
    background-color: #808080;
    text-align: left;
}

@media (min-width:320px)  {
    .container-banner {
        width : 315px;
        max-width: 315px;
    }
 
    .container {
        width : 300px;
        /* max-width: 81px; */
        /* height: 115px; */
        /* max-height: 121.8px;
        height: 121.8px; */
        color:ivory;
    }
 
    .img-cover {
        /* width: 81.2px; */
        width: 100px;
        height: 100.1px;
        /* height: 121.8px; */
        /* border: 1px solid black; */
        border-radius: 5px;
    }    
}

@media (min-width:480px)  {
    .container-banner {
        width: 260.6px;
        max-width: 260.6px;
    }
    .container {
        width : 300px;
        max-width: 81px;
    }
}
</style>

</head>
<body>
    <div class="main-container" align="center">
        <!-- <div class="flex-container">
            <div >
                <a href="https://visionplus.id" target="_blank">
                    <img src="https://visionplus.id/statics/app_logo.png" class="img-logo"></img>
                </a>
            </div>
        </div> -->
        <div class="flex-container">
            <table>
                <tr>
                    <td colspan="2" align="center"><h4>Informasi Nomor Pembayaran</h4></td>
                </tr>
            </table>
        </div>
        <div class="white-container">
            <table>
                <tr>
                    <td colspan="2">Pastikan anda melakukan pembayaran sebelum
                        masa berlaku habis dan bayar dengan nominal
                        yang tepat</td>
                </tr>
                <tr>
                    <td rowspan="2" width = "60px"><img src="img/watch.svg" height="57px" width="57px"></img></td>
                    <td class="date-expired1">Masa Berlaku</td>
                </tr>
                <tr>
                    <td class="date-expired2" id="dateExpired" valign='top'></td>
                </tr>
            </table>
        </div>
        <br>
        <div class="flex-container">
            <table width="350px">
                <tr>
                    <td id="mitraCd"></td>
                    <td align="right"><img id="storeImg" src="img/alfamart.png" height="34" width="81" class="img-store"></td>
                </tr>
                <tr>
                    <td>No. Pembayaran</td>
                    <td class="no-pembayaran" id="payNo"></td>
                </tr>
                <tr>
                    <td>User ID</td>
                    <td align="right" class="fontregular1-right" id="userID"></td>
                </tr>
                <tr>
                    <td>Nomor Order</td>
                    <td align="right" class="fontregular1-right" id="orderNo"></td>
                </tr>
            </table>
        </div>
        <div class="flex-container">
            <table width="350px">
                <tr>
                    <td>Nominal Pembayaran :</td>
                </tr>
                <tr>
                    <td class="nominal" id='amt'></td>
                </tr>
            </table>
        </div>
        <br>
        <table width="350">
            <tr>
                <td class="fontregularlight">Bayar melalui :</td>
            </tr>
        </table>
        <div class="flex-container">
            <table width="350" class="table1">
                <tr><td>
                    <table>
                        <tr>
                            <td class="fontregular16" id="txtHead">Alfa Group</td>
                        </tr>
                        <tr>
                            <td><hr class="hr1" width="335px"></td>
                        </tr>
                    </table>
                    <table>
                        <tr>
                            <td class='fontregularlight' colspan="2">Panduan pembayaran</td>
                        </tr>
                        <tr>
                            <td valign='top' class='fontregularlight' width='5px'>1.</td>
                            <td class='fontregularlight'>Pilih Pembayaran melalui</td>
                        </tr>
                        <tr>
                            <td valign='top' class='fontregularlight'></td>
                            <td class='fontregularlight'><span class="txt-bg-grey">&nbsp;<span id="txtstore">Alfamart/Alfamidi/Dan+Dan/Lawson</span>&nbsp;</span></td>
                        </tr>
                        <tr>
                            <td valign='top' class='fontregularlight'>2.</td>
                            <td class='fontregularlight'>Catat atau print <span class="txt-bg-grey">&nbsp;nomor pembayaran&nbsp;</span></td>
                        </tr>
                        <tr>
                            <td valign='top' class='fontregularlight'>3.</td>
                            <td class='fontregularlight'>Bawa <span class="txt-bg-grey">&nbsp;nomor pembayaran&nbsp;</span> tersebut ke gerai</td>
                        </tr>
                        <tr>
                            <td valign='top' class='fontregularlight'></td>
                            <td class='fontregularlight'><span class="txt-bg-grey">&nbsp;<span id="txtstore2">Alfamart/Alfamidi/Dan+Dan/Lawson</span>&nbsp;</span></td>
                        </tr>
                        <tr>
                            <td valign='top' class='fontregularlight'>4.</td>
                            <td class='fontregularlight'>Informasikan kepada kasir pembayaran menggunakan <span class="txt-bg-grey">&nbsp;NICEPay&nbsp;</span>  +  <span class="txt-bg-grey">&nbsp;Vision+&nbsp;</span></td>
                        </tr>
                        <tr>
                            <td valign='top' class='fontregularlight'>5.</td>
                            <td class='fontregularlight'>Berikan <span class="txt-bg-grey">&nbsp;nomor pembayaran&nbsp;</span> ke kasir</td>
                        </tr>
                        <tr>
                            <td valign='top' class='fontregularlight'>6.</td>
                            <td class='fontregularlight'>Kasir akan memasukkan <span class="txt-bg-grey">&nbsp;nomor pembayaran&nbsp;</span></td>
                        </tr>
                        <tr>
                            <td valign='top' class='fontregularlight'>7.</td>
                            <td class='fontregularlight'>Bayar sesuai <span class="txt-bg-grey">&nbsp;nominal&nbsp;</span></td>
                        </tr>
                        <tr>
                            <td valign='top' class='fontregularlight'>8.</td>
                            <td class='fontregularlight'>Ambil <span class="txt-bg-grey">&nbsp;tanda terima pembayaran&nbsp;</span></td>
                        </tr>
                        <tr>
                            <td valign='top' class='fontregularlight'>9.</td>
                            <td class='fontregularlight'>Selesai</span></td>
                        </tr>
                    </table>
                </td></tr>
            </table>
    </div>
</div>
</body>

    <!-- <script type="text/javascript" src="data.json"></script> -->
    <script>
        function getQueryStrings() { 
          var assoc  = {};
          var decode = function (s) { return decodeURIComponent(s.replace(/\+/g, " ")); };
          var queryString = location.search.substring(1); 
          var keyValues = queryString.split('&'); 

          for(var i in keyValues) { 
            var key = keyValues[i].split('=');
            if (key.length > 1) {
              assoc[decode(key[0])] = decode(key[1]);
            }
          } 

          return assoc;
        }

        var qs = getQueryStrings();
        var dateExpired = qs["dateExpired"];
        var mitraCd = qs["mitraCd"];
        var orderNo = qs["orderNo"];
        var payNo = qs["payNo"];
        var txid = qs["tXid"];
        var userID = qs["userID"];
        var amt = qs["amt"];

        storeImg = 'img/' + mitraCd.toLowerCase() + '.png';
        mitraCd = mitraCd.charAt(0).toUpperCase() + mitraCd.slice(1)
        if (mitraCd == 'Indomaret') {
            storeName = "Indomaret"
            txtHead = "Indomaret"
            document.getElementById('storeImg').width = 81;
            document.getElementById('storeImg').height = 34;
        }else{
            storeName = "Alfamart/Alfamidi/Dan+Dan/Lawson"
            txtHead = "Alfa Group"
            document.getElementById('storeImg').width = 74;
            document.getElementById('storeImg').height = 28;
        }

        switch(dateExpired.substring(5, 7)) {
        case "01":
            strmonth = "Januari";
            break;
        case "02":
            strmonth = "Februari";
            break;
        case "03":
            strmonth = "Maret";
            break;
        case "04":
            strmonth = "April";
            break;
        case "05":
            strmonth = "Mei";
            break;
        case "06":
            strmonth = "Juni";
            break;
        case "07":
            strmonth = "Juli";
            break;
        case "08":
            strmonth = "Agustus";
            break;
        case "09":
            strmonth = "September";
            break;
        case "10":
            strmonth = "Oktober";
            break;
        case "11":
            strmonth = "November";
            break;
        default:
            strmonth = "Desember";
        }

        date_reformat = dateExpired.substring(8, 10) + ' ' + strmonth + ' ' + dateExpired.substring(0, 4) + ', ' +  dateExpired.substring(10, 16);
        dateExpired = date_reformat;


        // Format denom: 
        function numberWithDot(x) {
           return x.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ".");
        }

        // console.info("Amount!" + amt); 
        // console.info("userID!" + userID); 

        //assign value
        payNomor = payNo.substring(0, 4) + ' '
        payNomor = payNomor + payNo.substring(4, 8) + ' '
        payNomor = payNomor + payNo.substring(8, 12) + ' '
        payNomor = payNomor + payNo.substring(12, 16)
        document.getElementById('amt').innerHTML = 'Rp. ' + numberWithDot(amt);;
        document.getElementById('userID').innerHTML = userID;
        document.getElementById('dateExpired').innerHTML = dateExpired + ' WIB';
        document.getElementById('mitraCd').innerHTML = mitraCd;
        document.getElementById('orderNo').innerHTML = orderNo  ;
        document.getElementById('payNo').innerHTML = payNomor;
        document.getElementById('storeImg').src = storeImg;
        document.getElementById('txtstore').innerHTML = storeName;
        document.getElementById('txtstore2').innerHTML = storeName;
        document.getElementById('txtHead').innerHTML = txtHead;

    </script>
</html>
